package cn.com.tenlion.bigdata.controller.route.bigdatamodule;

import cn.com.tenlion.bigdata.service.bigdatamodule.IBigdataModuleService;
import ink.wgink.common.base.DefaultBaseController;
import ink.wgink.common.component.SecurityComponent;
import ink.wgink.interfaces.consts.ISystemConstant;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.servlet.ModelAndView;

/**
 * @ClassName: BigdataModuleRouteController
 * @Description: 大数据展示模块页面
 * @Author: WenG
 * @Date: 2020-05-07 16:50
 * @Version: 1.0
 **/
@Api(tags = ISystemConstant.API_TAGS_SYSTEM_PREFIX + "大数据展示模块页面接口")
@RestController
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/bigdatamodule")
public class BigdataModuleRouteController extends DefaultBaseController {

    @Autowired
    private IBigdataModuleService bigdataModuleService;
    @Autowired
    private SecurityComponent securityComponent;

    @GetMapping("bigdatamodulemap")
    public ModelAndView saveBigdataModuleMap() {
        ModelAndView mv = new ModelAndView("bigdatamodule/save-bigdatamodulemap");
        return mv;
    }

    @GetMapping("listbigdatamoduleselect")
    public ModelAndView listBigdataModuleSelect() {
        ModelAndView mv = new ModelAndView("bigdatamodule/list-bigdatamoduleselect2");
        return mv;
    }

    @GetMapping("listbigdatamodule")
    public ModelAndView listBigdataModule() {
        ModelAndView mv = new ModelAndView("bigdatamodule/list-bigdatamodule");
        return mv;
    }

    @GetMapping("savebigdatamodule")
    public ModelAndView saveBigdataModule() {
        ModelAndView mv = new ModelAndView("bigdatamodule/save-bigdatamodule");
        return mv;
    }

    @GetMapping("updatebigdatamodule")
    public ModelAndView updateBigdataModule(@RequestParam("bigdataModuleId") String bigdataModuleId) {
        ModelAndView mv = new ModelAndView("bigdatamodule/update-bigdatamodule");
        mv.addObject("bigdataModuleId", bigdataModuleId);
        return mv;
    }

    @GetMapping("updatebigdatamodulecontent")
    public ModelAndView updateBigdataModuleContent(@RequestParam("bigdataModuleId") String bigdataModuleId) {
        ModelAndView mv = new ModelAndView("bigdatamodule/update_bigdatamodule_content");
        mv.addObject("bigdataModuleId", bigdataModuleId);
        return mv;
    }

    @GetMapping("updatebigdatamodulecontentview")
    public ModelAndView updateBigdataModuleContentView(@RequestParam("bigdataModuleId") String bigdataModuleId) {
        ModelAndView mv = new ModelAndView("bigdatamodule/update_bigdatamodule_content_view");
        mv.addObject("bigdataModuleId", bigdataModuleId);
        return mv;
    }

}